﻿using System;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Contracts
{
    public class CROCompanyDTO
    {
        public Guid? Id { get; set; }
        public string CROName { get; set; } = string.Empty;
        public string CROCode { get; set; } = string.Empty;

        public string CRONameCN { get; set; } = string.Empty;

        public bool IsTrialLevel { get; set; }

        public Guid? TrialId { get; set; }

    }

    public class CroSelectDTO
    {
        public Guid Id { get; set; }
        public string CROName { get; set; } = string.Empty;
        public string CROCode { get; set; } = string.Empty;
    }

    public class CROCompanyQueryDTO : PageInput
    {
        public string CROCode { get; set; } = string.Empty;
        public string CROName { get; set; } = string.Empty;
    }

    public class CROCompanySelectSearchDTO
    {
        public string CROName { get; set; } = string.Empty;
    }
}