﻿using System.ComponentModel;

namespace IRaCIS.Core.Domain.Share
{
    public enum EmailScenarioEnum
    {

        None = 0,

        [Description("用户体系")]
        User = 1,

        [Description("中心调研邀请")]
        SiteSurveyInvite = 2,

        [Description("中心调研审批通知")]
        SiteSurveyApproval = 3,

    }




    public enum CommonDocumentFileType
    {
        UploadDataTemplate = 1,

        ExportDataTempalate = 2,

        EmailTemplate = 3,

        NormalDataTemplate = 4,

    }


    public enum EmailBusinessScenario
    {
        None=-1,

        EnrollConfirmed = 1,

        PDConfirmed = 2,

        //Trial=3,

        //Reviewer=4,

        QCTask = 5,

        QCQuestion = 6,

        ImageQuestion = 7,



        MFALogin = 10,

        MFAUnlock = 11,


        //医生简历信息录入入口登录
        ReviewerLogin=12,



        UserResetEmail = 13,


        SiteSurveyLogin = 14,

        SiteUseOrExternalUserFirstrJoinTrial = 15,

        SiteUserOrExternalUserExistJoinTrial = 16,

        SiteSurveyReject=17,

        DoctorUserFirstJoinTrial=19,

        DoctorUserExistJoinTrial=20,


        SysCreateUser = 21,

        SysResetPassword = 22,

        //不登陆通过邮箱重置密码
        UnloginUseEmailResetPassword = 23,

    }


    public enum EmailUserType
    {

        //变为手动输入了，这里不需要了
        From =1,

        To=2,

        Copy=3
    }



    public enum BasicDataTypeEnum
    {
        None = 0,

        Email = 1,

        Sign = 2
    }
}