﻿using System.Collections.Generic;

namespace IRaCIS.Core.Domain.Share
{
    public enum TrialExpedited
    {

        All = -1,

        None = 0,

        ExpeditedIn24H = 1,

        ExpeditedIn48H = 2
    }

    public enum TrialType
    {

        //正式项目
        OfficialTrial = 1,

        NoneOfficial = 0,

        Training = 2


    }

    public enum AttendedReviewerType
    {
        //0全部中国医生 1美国医生  2既有中国医生，也有美国医生

        CN = 0,

        US = 1,

        EU = 2,

        Other = 3

    }

    public class TrialExtraConfig
    {
        #region MyRegion

        //QC质控
        public bool IsSupportQCDownloadImage { get; set; } = false;

        #endregion



        #region 中心调研

        public List<string> NotShowFieldList { get; set; } = new List<string>();

        public List<SiteSurveyModifyFiled> ModifyFiledList { get; set; } = new List<SiteSurveyModifyFiled>();

        #endregion



    }

    public class SiteSurveyModifyFiled
    {
        public string NeedModifyFiled { get; set; }

        public string ReplaceContent { get; set; }

        public string ReplaceContentCN { get; set; }
    }

    public enum DeclarationType
    {
        Other = 3,

        US = 1,

        CN = 0,

        EU = 2,

        JP = 4
    }
}